Name:           ovm
Version:        2.1.1
Release:        1%{?dist}
Summary:        Open Verification Methodology : IEEE 1800 SystemVerilog standard

Group:          Applications/Engineering
License:        ASL 2.0
URL:            http://www.ovmworld.org

# needs free membership to download
# http://www.ovmworld.org/downloads.php
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch


%description
The OVM is based on the IEEE 1800 SystemVerilog standard and supports design
and verification engineers developing advanced verification environments that
offer higher levels of integration and portability of Verification IP. The
methodology is non-vendor specific and is interoperable with multiple languages
and simulators. The OVM is fully open, and includes a robust class library and
source code that is available for download.

%prep
%setup -q


%build

find . -name '*.v'   -o -name '*.do' | xargs chmod 644
find . -name '*.svh' -o -name '*.sv' | xargs chmod 644
find . -name 'run_questa' | xargs chmod 644


%install
%{__rm} -rf %{buildroot}

install -d %{buildroot}%{_datadir}/%{name}/%{version}
%{__cp} -pr src/* %{buildroot}%{_datadir}/%{name}/%{version}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE.txt README_IUS.txt README.txt README-Questa.txt
%doc examples/ OVM_Reference.pdf OVM_UserGuide.pdf
%doc deprecated.txt release-notes.txt
%{_datadir}/%{name}


%changelog
* Sat Jul 17 2010 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 2.1.1-1
- New Upstream Release

* Sat Dec 06 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 2.0-1
- Upstream version: 2.0 under the Apache 2 License

* Thu Jun 26 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 1.1-1
- Initial Package
